﻿/**
 * Copyright 2008 - TMTDigital LLC
 *
 * Author:   Travis Tidwell (www.travistidwell.com)
 * Version:  1.0
 * Date:     June 9th, 2008
 *
 * Description:  Functionality for adding Ads to the Dash Player.
 *
 **/

package com.tmtdigital.dash.display.ads
{
	import com.tmtdigital.dash.DashPlayer;	
	import com.tmtdigital.dash.net.Service;
   import com.tmtdigital.dash.display.Skinable;
   import com.tmtdigital.dash.display.controls.ToggleButton;
  
   import flash.display.*;
   import flash.events.*;
   import flash.utils.*;   

   public class Ad extends Skinable
   {
      public function Ad( _skin:MovieClip )
      {
         super( _skin );
      }

      public override function setSkin(_skin:MovieClip)
      {
         super.setSkin(_skin);
         hideShow = new ToggleButton(  skin.hideShow, onHideShow );  
         
         // Default the ad timer to 2 seconds.
         adTimer = new Timer(2000);
         adTimer.addEventListener( TimerEvent.TIMER, onTimer );
         adTimer.stop();    
      }

      public function loadAd()
      {
         if( DashPlayer.dash.node && DashPlayer.dash.node.node ) {
            Service.call( Service.GET_AD, onAdLoad, null, DashPlayer.dash.node.node.nid, type, this.width, this.height );
         }
      }

      public function onAdLoad( _ad:Object )
      {
         ad = _ad;
         setTimer( ad.interval );
      }
    
      private function setTimer( interval:Number )
      {
         if( interval ) {
            adTimer.reset();
            adTimer.delay = interval;
            adTimer.repeatCount = 1;
            adTimer.start();
         }
      }    
      
      private function onTimer( event:TimerEvent ) : void 
      {
         adTimer.stop();
         loadAd();
      }      

      public function addLink( obj:MovieClip ) 
      {
         if( obj ) {
            obj.buttonMode = true;
            obj.mouseChildren = false;
            obj.addEventListener( MouseEvent.CLICK, onAdClick );
         }      
      }

      public function onAdClick( event:MouseEvent ) 
      {
         if( ad && ad.aid ) {
            Service.call( Service.AD_CLICK, onClicked, null, ad.aid );
         }
      }

      public function onClicked()
      {
      }

      public function onHideShow( state:Boolean )
      {     
      }

      public var hideShow:ToggleButton;	
      public var ad:Object;
      public var node:Object;
      public var type:String;
      
      private var adTimer:Timer;
   }
}